#include <stdio.h>
#include <dirent.h>
#include <errno.h>
#include <vector>
#include <algorithm>
#include "pHash.h"
#include "BinHash.h"

using namespace std;

#define TRUE 1
#define FALSE 0

int main(int argc, char **argv)
{
	if(argc != 3) 
	{
		printf("Error: Invalid command line arguments\n");
		exit(1);
	}

	bmb_hashopts *hashopts;
	
	char *fileA = argv[1];
	char *fileB = argv[2];

	// set the options to be used for hashing
	hashopts = (bmb_hashopts*)malloc(sizeof(bmb_hashopts));
	bmb_init_hashopts(hashopts);

	printf("preset_size_x: %i\n", hashopts->preset_size_x);

	printf("--- file 1 --- \n");
	
	BinHash *hash_a;
	bmb_imagehash(fileA, hashopts,1,&hash_a);

	printf("--- file 2 --- \n");
	BinHash *hash_b;
	bmb_imagehash(fileB, hashopts,1,&hash_b);

	double dist = ph_hammingdistance2(hash_a->hash, hash_a->bytelength, hash_b->hash, hash_b->bytelength);
	printf("distance = %g\n", dist);

	free(hashopts);
    return 0;
}
